Bug 88598 - Maya 4.5 Doesn't work with glibc from RH9
Maya 4.5 Doesn't work with glibc from RH9
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 04:01 EDT by Vova
Modified: 2016-11-24 10:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-22 04:33:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vova 2003-04-11 04:01:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
When I'm trying to start maya I'm getting the following error:

/usr/aw/maya4.5/bin/maya.bin: relocation error: /usr/aw/maya4.5/lib/libFoundation.so: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference

Whith glibc from RedHat Linux 7.2 it works well.

Version-Release number of selected component (if applicable):
glibc-2.3.2-27.9

How reproducible:
Always

Steps to Reproduce:
1. Simply start maya from console.

Actual Results:  Maya fails with the followind message

/usr/aw/maya4.5/bin/maya.bin: relocation error: /usr/aw/maya4.5/lib/libFoundation.so: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference


Expected Results:  Maya should work ;-)

Additional info:
Comment 1 Ulrich Drepper 2003-04-22 04:33:59 EDT
In the first place, this is maya's problem.  Some programmer never bothered to
read ISO C and didn't include <errno.h>.  This is not optional, it is 100% wrong
to add a line like

extern int errno;

and hope it works.  The fact that it did in the past is a mere coincident.  It
doesn't work anymore and the third party code has to change.

ld.so tries to fix up a few cases where errno is used incorrectly.  But
apparently this case isn't fixable.

Talk to your vendor and get them to produce you a new binary which is less buggy.
Comment 2 Jakub Jelinek 2003-04-22 04:37:39 EDT
There is a workaround for this, you can run the program with LD_ASSUME_KERNEL=2.4.1
in its environment. But please contact Maya vendor anyway so that they fix their stuff.

Note You need to log in before you can comment on or make changes to this bug.